aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts/auto
diff options
context:
space:
mode:
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/auto')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/auto22
1 files changed, 11 insertions, 11 deletions
diff --git a/usr.sbin/bsdinstall/scripts/auto b/usr.sbin/bsdinstall/scripts/auto
index fd5b634696ae..95084f1bdcc3 100755
--- a/usr.sbin/bsdinstall/scripts/auto
+++ b/usr.sbin/bsdinstall/scripts/auto
@@ -159,13 +159,13 @@ if [ -f $BSDINSTALL_DISTDIR/MANIFEST ]; then
DISTMENU="$(echo ${DISTMENU} | sed -E 's/\.txz//g')"
if [ -n "$DISTMENU" ]; then
- exec 3>&1
+ exec 5>&1
EXTRA_DISTS=$( eval dialog \
--backtitle \"$OSNAME Installer\" \
--title \"Distribution Select\" --nocancel --separate-output \
--checklist \"Choose optional system components to install:\" \
0 0 0 $DISTMENU \
- 2>&1 1>&3 )
+ 2>&1 1>&5 )
for dist in $EXTRA_DISTS; do
export DISTRIBUTIONS="$DISTRIBUTIONS $dist.txz"
done
@@ -301,13 +301,13 @@ case $CURARCH in
;;
esac
-exec 3>&1
+exec 5>&1
PARTMODE=`echo $PMODES | xargs dialog --backtitle "$OSNAME Installer" \
--title "Partitioning" \
--item-help \
--menu "How would you like to partition your disk?" \
- 0 0 0 2>&1 1>&3` || exit 1
-exec 3>&-
+ 0 0 0 2>&1 1>&5` || exit 1
+exec 5>&-
case "$PARTMODE" in
"$msg_auto_zfs") # ZFS
@@ -340,10 +340,10 @@ esac
[ -f /usr/libexec/bsdinstall/local.pre-fetch ] && f_dprintf "Running local.pre-fetch" && sh /usr/libexec/bsdinstall/local.pre-fetch "$BSDINSTALL_CHROOT"
if [ -n "$FETCH_DISTRIBUTIONS" ]; then
- exec 3>&1
- export BSDINSTALL_DISTDIR=$(`dirname $0`/fetchmissingdists 2>&1 1>&3)
+ exec 5>&1
+ export BSDINSTALL_DISTDIR=$(`dirname $0`/fetchmissingdists 2>&1 1>&5)
FETCH_RESULT=$?
- exec 3>&-
+ exec 5>&-
[ $FETCH_RESULT -ne 0 ] && error "Could not fetch remote distributions"
fi
@@ -371,7 +371,7 @@ fi
bsdinstall adduser
finalconfig() {
- exec 3>&1
+ exec 5>&1
REVISIT=$(dialog --backtitle "$OSNAME Installer" \
--title "Final Configuration" --no-cancel --menu \
"Setup of your $OSNAME system is nearly complete. You can now modify your configuration choices. After this screen, you will have an opportunity to make more complex changes using a shell." 0 0 0 \
@@ -383,8 +383,8 @@ finalconfig() {
"Services" "Set daemons to run on startup" \
"System Hardening" "Set security options" \
"Time Zone" "Set system timezone" \
- "Handbook" "Install $OSNAME Handbook (requires network)" 2>&1 1>&3)
- exec 3>&-
+ "Handbook" "Install $OSNAME Handbook (requires network)" 2>&1 1>&5)
+ exec 5>&-
case "$REVISIT" in
"Add User")